@import url('https://fonts.googleapis.com/css2?family=Kaushan+Script&family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Oswald:wght@200..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Sen:wght@400..800&display=swap');

html {
    box-sizing: border-box;
  }

:root {
    --white: rgb(255, 255, 255);
    --bg-color: rgb(21, 21, 21);
    --primary-color: rgb(169, 25, 58);
    --secondary-color: rgb(199, 54, 89);
    --text-color: rgb(238, 238, 238);
	--light-grey: rgb(201, 206, 211);
}
  
body {
    margin: 0;
    min-height: 100vh;
    background: var(--bg-color);
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: Poppins, sans-serif;
    font-size: 12px;
    letter-spacing: 2px;
}

.player-container {
    height: 500px;
    width: 400px;
    background: var(--primary-color);
    color: var(--text-color);
    border-radius: 20px;
    box-shadow: 0 10px 10px 5px rgba(201, 206, 211, 0.2); 
    /* box shadow: horizontal offset, vertical offset, blur, spread, color  */
}
  
.img-container {
    height: 300px;
    width: 300px;
    position: relative;
    top: -50px;
    left: 50px;
}

.img-container img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 20px;
    box-shadow: 0 5px 10px 3px rgba(201, 206, 211, 0.3); 
}

h2 {
    font-size: 22px;
    text-align: center;
    margin: 0;
}
  
h3 {
    font-size: 18px;
    text-align: center;
    font-weight: 400;
    margin: 5px 0 0;
}
  
/* Progress */
.progress-container {
    background: #fff;
    border-radius: 5px;
    cursor: pointer;
    margin: 40px 20px;
    height: 4px;
    width: 90%;
}
  
.progress {
    background: #242323;
    border-radius: 5px;
    height: 100%;
    /* change this to show progress */
    width: 0%;
    transition: width 0.1s linear;
}
  
.duration-wrapper {
    position: relative;
    top: -25px;
    display: flex;
    justify-content: space-between;
}
  
/* Controls */
.player-controls {
    position: relative;
    top: -15px;
    left: 120px;
    width: 200px;
}
  
.fas {
    font-size: 30px;
    color: var(--light-grey);
    margin-right: 30px;
    cursor: pointer;
    user-select: none;
}

.fas:hover {
    filter: brightness(50%);
}
  
.main-button {
    font-size: 40px;
    position: relative;
    top: 3px;
}
  
/* Media Query: iPhone (Vertical) */
@media screen and (max-width: 600px) {

    .player-container {
        width: 90vw;
    }
    
    .img-container {
        left: 25px;
    }

    h2 {
      font-size: 18px;
    }
  
    h3 {
      font-size: 15px;
    }
  
    .player-controls {
      top: -10px;
      left: 100px;
    }
}
